---
sidebar_position: 1
---

# Quantum Safe Storage System

Our storage architecture follows the true peer2peer design of the cecentralized cloud system. 

![](../../img/qsss_intro2.png)

Any participating node only stores small incomplete parts of objects (files, photos, movies, databases etc.) by offering a slice of the present (local) storage devices. Managing the storage and retrieval of all of these distributed fragments is done by a software that creates development or end-user interfaces for this storage algorithm. We call this '**dispersed storage**'.

## Benefits

- Not even a quantum computer can hack
- Zetabytes can be stored as easily as Petabytes
- The system is truly autonomous & self healing
- Datarot is detected and fixed.
- There is 100% contorl over where data is (GDPR)

## Architecture

![](../../img/storage_arch.png)

The cloud user can mix and match storage technologies as are required for their application.

## Peer2Peer Advantages

Peer2peer provides the unique proposition of selecting storage providers that match your application and service of business criteria. For example, you might be looking to store data for your application in a certain geographic area (for governance and compliance) reasons. You might also want to use different "storage policies" for different types of data. Examples are live versus archived data. All of these uses cases are possible with this storage architecture, and could be built by using the same building slice produced by farmers and consumed by developers or end-users.

> There is 100% control over where the data is positioned and the security is incredible.



